注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

Big-Time的博客

天行健,君子以自强不行。

 
 
 

日志

 
 
关于我

人生像攀登一座山,而找寻出路,却是一种学习的过程,我们应当在这过程中,学习稳定、冷静,学习如何从慌乱中找到生机。

网易考拉推荐

Maven2编译时“是 Sun 的专用 API,可能会在未来版本中删除”错误解决  

2012-07-09 10:23:46|  分类: Maven |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |
项目中用到了maven来管理,因为有些功能用到了sun的专用API,在maven编译过程中会报“ 是 Sun 的专用 API,可能会在未来版本中删除 ”这样的错误导致最终编译失败,google了一番可以使用最新版本的编译插件解决这个问题,在项目的pom文件中配置如下:

1、其中maven-compiler-plugin用2.3.1版,之前用的是2.0.2的;

2、必须指定plexus-compiler-javac这个依赖,并且最新版本1.8.1才解决了这个问题,1.8.1以前的是有问题的;


配置如下:

<plugin>

  <artifactId>maven-compiler-plugin</artifactId>

  <version>2.3.1</version>

  <configuration>

    <source>1.6</source>

    <target>1.6</target>

    <encoding>UTF-8</encoding>

  </configuration>

  <dependencies>

    <dependency>

      <groupId>org.codehaus.plexus</groupId>

      <artifactId>plexus-compiler-javac</artifactId>

      <version>1.8.1</version>

    </dependency>

  </dependencies>

</plugin>

  评论这张
 
阅读(703)| 评论(0)
推荐 转载

历史上的今天

在LOFTER的更多文章

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2017